# class Raven::HttpInterface

### Attributes

cookies[RW]
data[RW]
env[RW]
headers[RW]
method[RW]
query_string[RW]
url[RW]

### Public Class Methods

new(*arguments) click to toggle source
Calls superclass method Raven::Interface.new

    # File lib/raven/interfaces/http.rb, line 5
    def initialize(*arguments)
      self.headers = {}
      self.env = {}
      self.cookies = nil
      super(*arguments)
    end

sentry_alias() click to toggle source

    # File lib/raven/interfaces/http.rb, line 12
    def self.sentry_alias
      :request
    end